<ng-container *ngIf="auth.isAuth; else notAuthorized">
  <app-nav-toolbar>
    <router-outlet></router-outlet>
    <app-footer style='padding: 10px 0;'>
      <div style='width: 50%; display:inline-block'>
        v{{ appVersion }} - <a style='text-decoration: none; color: #4c81b9' target="_blank" href='https://www.evidentadeseuri.ro/'>EvidentaDeseuri.ro
        </a>
      </div>
      <div style='width: 50%; text-align: right;display:inline-block'>
        Copyright © 2011-2019 <a style='text-decoration: none; color: #4c81b9' target="_blank" href='https://www.dohu.ro/'>
          DoHu Consulting.</a>
      </div>
    </app-footer>
  </app-nav-toolbar>
</ng-container>
<ng-template #notAuthorized>
  <app-single-card>
    <router-outlet></router-outlet>
  </app-single-card>
</ng-template>

<ibis-grid-config></ibis-grid-config>

<div id="loginModal" *ngIf="ds.isLoginModalVisible">
  <app-login></app-login>
</div>

<!-- Edit Generate -->
<dx-popup [minWidth]='ui.minWidthPopup' width='60vw' maxWidth='90vw' minHeight='300' maxHeight='90vh' height='auto'
  (onShown)='ui.onPopupShown($event)' (onHidden)='ui.onPopupHidden($event)' (onInitialized)='proxy.editGenerate.popupInit($event)'
  title='Generare deșeuri'>
  <div *dxTemplate="let data of 'content'">
    <dx-scroll-view [height]='ui.scrollHeight' direction="vertical" showScrollbar='always' [useNative]='false'>
      <app-edit-generate></app-edit-generate>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează şi adaugă', icon:'assets/img/grid_add.svg', type: 'normal', onClick: proxy.editGenerate.onSaveNew, validationGroup: proxy.editGenerate.validation }">
  </dxi-toolbar-item>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: proxy.editGenerate.onSave, validationGroup: proxy.editGenerate.validation }">
  </dxi-toolbar-item>
</dx-popup>

<!-- Edit Unit Waste -->
<dx-popup [minWidth]='ui.minWidthPopup' maxWidth='90vw' width='60vw' minHeight='300' maxHeight='90vh' height='auto'
  (onShown)='ui.onPopupShown($event)' (onHidden)='ui.onPopupHidden($event)' (onInitialized)='proxy.editUnitWaste.popupInit($event)'
  title='Asociază cod deșeu'>
  <div *dxTemplate="let data of 'content'">
    <dx-scroll-view [height]='ui.scrollHeight' direction="vertical" showScrollbar='always' [useNative]='false'>
      <app-edit-unit-waste></app-edit-unit-waste>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: proxy.editUnitWaste.onSave, validationGroup: proxy.editUnitWaste.validation }">
  </dxi-toolbar-item>
</dx-popup>

<!-- Edit Party -->
<dx-popup [minWidth]='ui.minWidthPopup' maxWidth='90vw' width='60vw' minHeight='280' maxHeight='90vh' height='auto'
   (onShown)='ui.onPopupShown($event)' (onHidden)='ui.onPopupHidden($event)' (onInitialized)='proxy.editParty.popupInit($event)'
  [title]='proxy.editParty.model.id ? "Editează Partener" : "Adaugă Partener"'>
  <div *dxTemplate="let data of 'content'">
    <dx-scroll-view [height]='ui.scrollHeight' direction="vertical" showScrollbar='always' [useNative]='false'>
      <app-edit-party></app-edit-party>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" 
    [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: proxy.editParty.onSave, validationGroup: proxy.editParty.validation }">
  </dxi-toolbar-item>
</dx-popup>

<!-- Edit Transport -->
<dx-popup [minWidth]='ui.minWidthPopup' maxWidth='90vw' width='60vw' minHeight='300' maxHeight='90vh' height='auto' 
  (onHidden)='ui.onPopupHidden($event)' (onShown)='ui.onPopupShown($event)' (onInitialized)='proxy.editTransport.popupInit($event)'
  [title]="proxy.editTransport.model.t_id ? 'Editează Transport' : 'Adaugă Transport'">
  <div *dxTemplate="let data of 'content'">
    <dx-scroll-view [height]='ui.scrollHeight' direction="vertical" showScrollbar='always' [useNative]='false'>
      <app-edit-transport></app-edit-transport>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" 
    [options]="{ text:'Salvează şi adaugă', icon: 'assets/img/grid_add.svg', type: 'normal', onClick: proxy.editTransport.onSaveNew, validationGroup: proxy.editTransport.validation }">
  </dxi-toolbar-item>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" 
    [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: proxy.editTransport.onSave, validationGroup: proxy.editTransport.validation }">
  </dxi-toolbar-item>
</dx-popup>

<!-- Edit Transfer -->
<dx-popup [minWidth]='ui.minWidthPopup' maxWidth='90vw' width='60vw'
    maxHeight='90vh' height='auto' contentTemplate="popupTemplate" title='Adaugă transfer'
    (onShown)='ui.onPopupShown($event)' (onHidden)='ui.onPopupHidden($event)' (onInitialized)='proxy.editTransfer.popupInit($event)'>
  <div *dxTemplate="let data of 'popupTemplate'">
    <dx-scroll-view [height]='ui.scrollHeight' direction="vertical" showScrollbar='always' [useNative]='false'>
      <app-edit-transfer></app-edit-transfer>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton"
    [options]="{ text:'Salvează și adaugă', icon: 'assets/img/grid_add.svg', type: 'normal', onClick: proxy.editTransfer.onSaveNew, validationGroup: proxy.editTransfer.validation }">
  </dxi-toolbar-item>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton"
    [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: proxy.editTransfer.onSave, validationGroup: proxy.editTransfer.validation }">
  </dxi-toolbar-item>
</dx-popup>